API ReferenceapicommunityGET /v1/posts/{post_id}/comments/count

GET /v1/posts/\{post_id\}/comments/count

Service: community · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • post_id (string) required

Responses

200 Active comment count for the post

{
  "type": "object",
  "properties": {
    "count": {
      "type": "integer",
      "minimum": 0
    }
  },
  "required": [
    "count"
  ]
}

500 Internal server error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

502 Upstream dependency error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://community.platform.loop.health/v1/posts/{post_id}/comments/count \
  -H "Authorization: Bearer $ACCESS_TOKEN"